Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.frodo
Class FrodoParameters

    java.lang.Object
      org.bouncycastle.pqc.crypto.frodo.FrodoParameters

All Implemented Interfaces:
  CipherParameters, KEMParameters

Deprecated. the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

public class FrodoParameters
extends java.lang.Object
implements KEMParameters

Field Summary
`static FrodoParameters` | `frodokem1344aes` Deprecated.
`static FrodoParameters` | `frodokem1344shake` Deprecated.
`static FrodoParameters` | `frodokem640aes` Deprecated.
`static FrodoParameters` | `frodokem640shake` Deprecated.
`static FrodoParameters` | `frodokem976aes` Deprecated.
`static FrodoParameters` | `frodokem976shake` Deprecated.

Method Summary
`java.lang.String` | `getName()` Deprecated.
`int` | `getSessionKeySize()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frodokem640aes

    public static final FrodoParameters frodokem640aes

  Deprecated.

### frodokem640shake

    public static final FrodoParameters frodokem640shake

  Deprecated.

### frodokem976aes

    public static final FrodoParameters frodokem976aes

  Deprecated.

### frodokem976shake

    public static final FrodoParameters frodokem976shake

  Deprecated.

### frodokem1344aes

    public static final FrodoParameters frodokem1344aes

  Deprecated.

### frodokem1344shake

    public static final FrodoParameters frodokem1344shake

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.

### getSessionKeySize

    public int getSessionKeySize()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD